import { Card, CardContent, CardHeader, CardTitle } from "@/components/ui/card";
import { ScrollArea, ScrollBar } from "@/components/ui/scroll-area";
import { Separator } from "@/components/ui/separator";
import Breadcrumb from "@/components/breadcrumb";
import CommitForm from "@/components/commit-form";

const breadcrumbItems = [
  { title: "Dashboard", link: "/dashboard" },
  { title: "Commits", link: "/dashboard/commits" },
  { title: "Create Commit" },
];

export default function SettingsDisplayPage() {
  return (
    <ScrollArea className="h-[calc(100vh-53px)]">
      <div className="flex-1 space-y-4  p-4 md:p-8 pt-6">
        <Breadcrumb items={breadcrumbItems} />
        <div className="w-full h-full flex justify-center items-center">
          <Card className="max-w-[700px] w-full mb-8">
            <CardHeader>
              <CardTitle className="mb-4 font-bold text-xl">
                Create Commit
              </CardTitle>
              <Separator />
            </CardHeader>

            <CardContent>
              <CommitForm />
            </CardContent>
          </Card>
        </div>
        <ScrollBar />
      </div>
    </ScrollArea>
  );
}
