"use client";

import { Heading } from "@/components/ui/heading";
import { Separator } from "@/components/ui/separator";
import React from "react";
import { DataTable } from "./data-table";
import { columns } from "./columns";
import Link from "next/link";
import { Plus } from "lucide-react";
import { buttonVariants } from "@/components/ui/button";
import { Account } from "@/types/account";
import { Configuration } from "@/types/configuration";

const ToolsTable = ({
  configurations,
}: {
  configurations: Configuration[];
}) => {
  return (
    <>
      <div className="flex items-start justify-between">
        <Heading
          title={`Configurations (${configurations.length})`}
          description="Manage Configurations"
        />
        <Link
          href="/dashboard/configurations/add"
          className={buttonVariants({
            variant: "default",
          })}
        >
          <Plus className="mr-2 h-4 w-4" /> Add Configuration
        </Link>
      </div>
      <Separator />
      <DataTable data={configurations} columns={columns} />
      {/* <DataTable data={tasks} columns={columns} /> */}
    </>
  );
};

export default ToolsTable;
